<ng-container *subscribe="editMapsetMutation.result$ as mapset">
  <ngx-loading [show]="mapset.isLoading" />
</ng-container>

<div
  [ngClass]="[jds.borderBottom(1)]"
  [style.backgroundColor]="'#ffffff'"
>
  <div [ngClass]="jds.container">
    <div [ngClass]="[jds.my(12)]">
      <app-breadcrumb [breadcrumb]="breadcrumb" />
    </div>
  </div>
</div>

<div [ngClass]="[jds.mt(30), jds.mb(70), jds.mx(0)]">
  <div [ngClass]="jds.container">
    <h5>{{ label }}</h5>

    <app-my-mapset-stepper (handleEditSubmit)="onSubmit($event)">
      <cdk-step>
        <app-my-mapset-form />
      </cdk-step>
      <cdk-step>
        <app-my-mapset-form-attribute />
      </cdk-step>
      <cdk-step>
        <app-my-mapset-preview />
      </cdk-step>
    </app-my-mapset-stepper>
  </div>
</div>
